/// <reference types="react" />
import { DirectionType } from './utils';
export declare type useScrollWathType = {
    /** the container dom RefObject which use `overflow:scroll`,if scroll whole document, pass `ref = useRef(document.documentElement)` or `useRef(document.body)`. */
    ref: React.RefObject<HTMLElement>;
    list: {
        /** dom id of Element */
        href: string;
        /** the scroll position judge preset of each Element */
        offset?: number;
    }[];
    /** global offset for every Element of list */
    offset?: number;
    /** scroll axis, x for horizontal, y for vertical */
    direction?: DirectionType;
};
export declare const getCurIndex: (scrollTop: number, list: number[]) => number;
export declare const useScrollWatch: (props: useScrollWathType) => {
    curIndex: number;
    scrollTop: number;
    curItem: {
        /** dom id of Element */
        href: string;
        /** the scroll position judge preset of each Element */
        offset?: number | undefined;
    };
};
